Subject: bug#44763: Error when 'make'ing latest version of coreutils

From: Akim Demaille <[email-masked]>
Date: Sat, 21 Nov 2020 17:53:42 +0100

Hi all,

> Le 20 nov. 2020 à 16:48, Pádraig Brady <[email-masked]> a écrit :
> 
> See also https://bugs.gnu.org/44739

There, I just read this:

>> I found that I needed to upgrade to Bison v3.7.4 to avoid a build error 
>> in stdlib.h where @GNULIB_POSIX_MEMALIGN@ has not been converted by 
>> Bison. The check in your bootstrap program allows for an older version 
>> of Bison to be used which fails to do the necessary conversion.

which is not correct.  Bison does not perform any transformation
on @FOO@ at all.  This is completely unrelated to it.  What would
be most useful is to get the generated files and see what they
look like.

Also, I might have missed messages, but I would like to see a
plain copy-paste of the terminal where I can see exactly what
commands were run, and what the tools reported.

Cheers!